Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "song-splitter",
    "input": {
      "model": "demucs",
      "file": "https://example.com/my-song.mp3",
      "instrument": "vocals"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "song-splitter",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits3 credits
Toolsong-splitter

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYessong-splitter
input.modelstringYesdemucs
input.filestringYesURL of the audio file to process
input.instrumentstringNoInstrument to extract. Options: drums, other (instrumental, default), vocals, bass
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "song-splitter",
    "input": {
      "model": "demucs",
      "file": "https://example.com/my-song.mp3",
      "instrument": "vocals"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "song-splitter",
  "createdAt": "2024-01-15T10:30:00.000Z"
}